#
# spec file for package ghc-mono-traversable
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name mono-traversable
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.0.1.3
Release:        1.11
Summary:        Type classes for mapping, folding, and traversing monomorphic containers
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-algorithms-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-foldl-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-semigroups-devel
%endif

%description
Monomorphic variants of the Functor, Foldable, and Traversable typeclasses.
If you understand Haskell's basic typeclasses, you understand mono-traversable.
In addition to what you are used to, it adds on an IsSequence typeclass and has
code for marking data structures as non-empty.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Mon Feb 27 2017 psimons@suse.com
- Update to version 1.0.1.3 with cabal2obs.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 1.0.1.2 with cabal2obs.
* Thu Jan 26 2017 psimons@suse.com
- Update to version 1.0.1.1 with cabal2obs.
* Mon Jan 16 2017 psimons@suse.com
- Update to version 1.0.1 revision 1 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 1.0.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.0.0.1 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.10.2 revision 0 with cabal2obs.
* Wed Apr 13 2016 mimi.vx@gmail.com
- update to 0.10.2
  * Add delete and deleteBy methods to EqSequence
* Tue Feb 16 2016 mimi.vx@gmail.com
- update to 0.10.1.1
  * Remove unneeded INLINEs
* Tue Jan 26 2016 mimi.vx@gmail.com
- update to 0.10.1
  * Allow comonad-5
* Tue Dec 15 2015 mimi.vx@gmail.com
- update to 0.10.0.1
  * Remove Functor instance for MinLen
  * Instance for Data.Sequence.Seq is incorrect.
* Tue Nov 17 2015 mimi.vx@gmail.com
- initial commit
